Skip to main content
GET
https://{tenantDomain}/api/v2
/
roles
/
{id}
Go
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Roles.Get(
        context.TODO(),
        "id",
    )
}
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.roles.get("id");
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.roles.get("id");
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/roles/{id} \
--header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/roles/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the role to retrieve.

Response

Role successfully retrieved.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.